Histogram (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.histogram

## Class Histogram

- java.lang.Object
- - com.twosigma.beakerx.widget.Widget
  - - com.twosigma.beakerx.widget.BeakerxWidget
    - - com.twosigma.beakerx.chart.ChartDetails
      - - com.twosigma.beakerx.chart.Chart
        - - com.twosigma.beakerx.chart.AbstractChart
          - - com.twosigma.beakerx.chart.histogram.Histogram

- All Implemented Interfaces:
    com.twosigma.beakerx.widget.CommFunctionality, com.twosigma.beakerx.widget.DisplayableWidget, com.twosigma.beakerx.widget.WidgetItem

      public class Histogram
      extends AbstractChart

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Histogram.DisplayMode`

    - ### Nested classes/interfaces inherited from class com.twosigma.beakerx.widget.Widget

      `com.twosigma.beakerx.widget.Widget.ActionPerformed, com.twosigma.beakerx.widget.Widget.WidgetDisplayMethodStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Color` | `baseColor`
    `static int` | `NUMBER_OF_POINTS_TO_DISPLAY`
    `static int` | `ROWS_LIMIT`

    - ### Fields inherited from class com.twosigma.beakerx.chart.AbstractChart

      `timeZone, yAxis`

    - ### Fields inherited from class com.twosigma.beakerx.chart.Chart

      `PLOT_GRIDLINE, PLOT_LABEL, PLOT_LABEL_X, PLOT_LABEL_Y, PLOT_TITLE`

    - ### Fields inherited from class com.twosigma.beakerx.widget.BeakerxWidget

      `MODEL, MODEL_MODULE_VALUE, MODEL_UPDATE, VIEW_MODULE_VALUE`

    - ### Fields inherited from class com.twosigma.beakerx.widget.Widget

      `APPLICATION_VND_JUPYTER_WIDGET_VIEW_JSON, DESCRIPTION, DISABLED, DISPLAY, INDEX, METHOD, MODEL_ID, MODEL_MODULE, MODEL_MODULE_VERSION, MODEL_MODULE_VERSION_VALUE, MODEL_NAME, MSG_THROTTLE, VALUE, VIEW_MODULE, VIEW_MODULE_VERSION, VIEW_MODULE_VERSION_VALUE, VIEW_NAME, VISIBLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Histogram()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBinCount()`
    `Color` | `getColor()`
    `java.util.List<Color>` | `getColors()`
    `boolean` | `getCumulative()`
    `java.util.List<java.lang.Number>` | `getData()`
    `Histogram.DisplayMode` | `getDisplayMode()`
    `java.util.List<java.util.List<java.lang.Number>>` | `getListData()`
    `boolean` | `getLog()`
    `java.lang.String` | `getModelNameValue()`
    `java.util.List<java.lang.String>` | `getNames()`
    `boolean` | `getNormed()`
    `java.lang.Integer` | `getRangeMax()`
    `java.lang.Integer` | `getRangeMin()`
    `boolean` | `getRightClose()`
    `java.lang.String` | `getViewNameValue()`
    `void` | `setBinCount(int binCount)`
    `void` | `setColor(Color color)`
    `void` | `setColor(java.awt.Color color)`
    `void` | `setColor(java.util.List<java.lang.Object> colorList)`
    `void` | `setCumulative(boolean cumulative)`
    `void` | `setData(java.util.List<?> data)`
    `void` | `setDisplayMode(Histogram.DisplayMode displayMode)`
    `void` | `setLog(boolean log)`
    `AbstractChart` | `setLogY(boolean logY)`
    `void` | `setNames(java.util.List<java.lang.String> names)`
    `void` | `setNormed(boolean normed)`
    `void` | `setRangeMax(java.lang.Integer rangeMax)`
    `void` | `setRangeMin(java.lang.Integer rangeMin)`
    `void` | `setRightClose(boolean rightClose)`

    - ### Methods inherited from class com.twosigma.beakerx.chart.AbstractChart

      `add, add, getAutoZoom, getCrosshair, getLogY, getOmitCheckboxes, getTimeZone, getxLabel, getXLabel, getxLowerMargin, getXLowerMargin, getxUpperMargin, getXUpperMargin, getyAutoRange, getYAutoRange, getyAutoRangeIncludesZero, getYAutoRangeIncludesZero, getyAxes, getYAxes, getyLabel, getYLabel, getyLogBase, getYLogBase, getyLowerBound, getYLowerBound, getyLowerMargin, getYLowerMargin, getyUpperBound, getYUpperBound, getyUpperMargin, getYUpperMargin, leftShift, leftShift, setAutoZoom, setCrosshair, setOmitCheckboxes, setTimeZone, setxLabel, setXLabel, setxLowerMargin, setXLowerMargin, setxUpperMargin, setXUpperMargin, setyAutoRange, setYAutoRange, setyAutoRangeIncludesZero, setYAutoRangeIncludesZero, setYBound, setyBound, setYBound, setyLabel, setYLabel, setyLogBase, setYLogBase, setyLowerMargin, setYLowerMargin, setyUpperMargin, setYUpperMargin`

    - ### Methods inherited from class com.twosigma.beakerx.chart.Chart

      `getCustomStyles, getElementStyles, getGridLineStyle, getInitHeight, getInitWidth, getLabelStyle, getLabelXStyle, getLabelYStyle, getLegendLayout, getLegendPosition, getShowLegend, getTitle, getTitleStyle, getUseToolTip, serializeToJsonObject, serializeToJsonObject, setCustomStyles, setGridLineStyle, setInitHeight, setInitWidth, setLabelStyle, setLabelXStyle, setLabelYStyle, setLegendLayout, setLegendPosition, setShowLegend, setTitle, setTitleStyle, setUseToolTip`

    - ### Methods inherited from class com.twosigma.beakerx.chart.ChartDetails

      `getDetails, getDetailsFromMessage, getGraphics, getGraphicsById, getGraphicsUid, onActionDetails, openComm, setDetails, updateDetails`

    - ### Methods inherited from class com.twosigma.beakerx.widget.BeakerxWidget

      `activateWidgetInContainer, addValueChangeMsgCallback, beforeDisplay, content, getModelModuleValue, getViewModuleValue, sendModel, sendModelUpdate, sendModelUpdate`

    - ### Methods inherited from class com.twosigma.beakerx.widget.Widget

      `asWidget, close, display, getComm, getModelModuleVersion, getViewModuleVersion, handleCommEventSync, openComm, sendDisplay, sendUpdate, sendUpdate, sendUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROWS_LIMIT

          public static final int ROWS_LIMIT

      See Also:
        Constant Field Values

    - #### NUMBER_OF_POINTS_TO_DISPLAY

          public static final int NUMBER_OF_POINTS_TO_DISPLAY

      See Also:
        Constant Field Values

    - #### baseColor

          protected Color baseColor

  - ### Constructor Detail

    - #### Histogram

          public Histogram()

  - ### Method Detail

    - #### getModelNameValue

          public java.lang.String getModelNameValue()

      Overrides:
        `getModelNameValue` in class `Chart`

    - #### getViewNameValue

          public java.lang.String getViewNameValue()

      Overrides:
        `getViewNameValue` in class `Chart`

    - #### getRangeMin

          public java.lang.Integer getRangeMin()

    - #### setRangeMin

          public void setRangeMin(java.lang.Integer rangeMin)

    - #### getRangeMax

          public java.lang.Integer getRangeMax()

    - #### setRangeMax

          public void setRangeMax(java.lang.Integer rangeMax)

    - #### getBinCount

          public int getBinCount()

    - #### setBinCount

          public void setBinCount(int binCount)

    - #### getRightClose

          public boolean getRightClose()

    - #### setRightClose

          public void setRightClose(boolean rightClose)

    - #### getCumulative

          public boolean getCumulative()

    - #### setCumulative

          public void setCumulative(boolean cumulative)

    - #### getNormed

          public boolean getNormed()

    - #### setNormed

          public void setNormed(boolean normed)

    - #### getDisplayMode

          public Histogram.DisplayMode getDisplayMode()

    - #### setDisplayMode

          public void setDisplayMode(Histogram.DisplayMode displayMode)

    - #### getLog

          public boolean getLog()

    - #### setLog

          public void setLog(boolean log)

    - #### setLogY

          public AbstractChart setLogY(boolean logY)

      Overrides:
        `setLogY` in class `AbstractChart`

    - #### setColor

          public void setColor(Color color)

    - #### setColor

          public void setColor(java.awt.Color color)

    - #### setColor

          public void setColor(java.util.List<java.lang.Object> colorList)

    - #### getColors

          public java.util.List<Color> getColors()

    - #### getColor

          public Color getColor()

    - #### setData

          public void setData(java.util.List<?> data)

    - #### getData

          public java.util.List<java.lang.Number> getData()

    - #### getListData

          public java.util.List<java.util.List<java.lang.Number>> getListData()

    - #### getNames

          public java.util.List<java.lang.String> getNames()

    - #### setNames

          public void setNames(java.util.List<java.lang.String> names)